import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FlexLayoutModule } from '@angular/flex-layout';
import {
	MatButtonModule,
	MatMenuModule,
	MatIconModule,
	MatTabsModule,
	MatExpansionModule,
	MatCardModule,
	MatSelectModule } from '@angular/material';
import { MatSidenavModule } from '@angular/material/sidenav';

import { TermContainerComponent } from '../degree-planner/term-container/term-container.component';
import { SidenavMenuItemComponent } from '../degree-planner/sidenav-menu-item/sidenav-menu-item.component';

const modules = [
	CommonModule,
	FormsModule,
	ReactiveFormsModule,
	MatButtonModule,
	MatMenuModule,
	MatIconModule,
	MatTabsModule,
	MatExpansionModule,
	MatCardModule,
	MatSelectModule,
	FlexLayoutModule,
	MatSidenavModule
];

@NgModule({
	imports: [ modules ],
	exports: [ modules, TermContainerComponent, SidenavMenuItemComponent ],
	declarations: [
		TermContainerComponent, SidenavMenuItemComponent
	],
})
export class SharedModule { }
